/*!
Styles for full screen background video demo
*/
/* =============================================================================
  RESETS
============================================================================= */
html,
body,
div,
h1,
p,
a,
video {
  margin: 0;
  padding: 0;
}

/* =============================================================================
  HTML, BODY
============================================================================= */
html,
body {
  height: 100%;
}

body {
  font-size: 16px;
  font-family: "Oxygen", sans-serif;
  line-height: 1.5;
}

/* =============================================================================
  CONTENT
============================================================================= */
.content {
  position: relative;
  top: 15%;
  z-index: 2;
  margin: 0 0 0 50px;
  max-width: 720px;
  text-align: left;
  background: rgba(0, 0, 0, .5);
  padding: 20px;
}

.content__heading {
  margin-bottom: 24px;
  color: #fff;
  font-size: 44px;
}

.content__teaser {
  margin-bottom: 24px;
  color: #fff;
  font-size: 22px;
}

.content__cta {
  display: inline-block;
  margin: 0;
  padding: 12px 48px;
  color: #ff3c64;
  font-size: 22px;
  text-decoration: none;
  border: solid 4px #ff3c64;
}

/* =============================================================================
  VIDEO
============================================================================= */
.video {
  position: fixed;
  top: 50%;
  left: 50%;
  z-index: 1;
  min-width: 100%;
  min-height: 100%;
  width: auto;
  height: auto;
  -webkit-transform: translate(-50%, -50%);
      -ms-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}

/* =============================================================================
  CONTACT FORM
============================================================================= */
#myForm input {
  min-height: 40px;
  margin: 0 10px;
  text-align: center;
  font-size: 16px;
  color: #000;
}

#myForm .submit {
  background: #ffa500;
  border: 1px solid #ffa500;
  border-radius: 5px;
  margin-top: 20px;
  width: 160px;
  height: 40px;
}

::-webkit-input-placeholder { /* Chrome/Opera/Safari */
  color: #808080;
}
::-moz-placeholder { /* Firefox 19+ */
  color: #808080;
}
:-ms-input-placeholder { /* IE 10+ */
  color: #808080;
}
:-moz-placeholder { /* Firefox 18- */
  color: #808080;
}

.message {
  color: #fff;
  margin-top: 20px;
}

/* =============================================================================
  MEDIA QUERIES
============================================================================= */
@media screen and (min-width: 320px) and (max-width:767px) {
  .content {
    top: 0;
    z-index: 2;
    margin: 0;
    padding: 20px;
  }

  .content__heading {
    font-size: 22px;
  }

  .content__teaser {
    font-size: 16px;
  }

  #myForm input {
    min-height: 40px;
    margin: 5px 0;
    text-align: center;
    font-size: 14px;
  }

  #myForm .submit {
    margin-top: 20px;
    width: 160px;
    height: 40px;
  }

  .message {
    font-size: 14px;
  }

  .video {
    position: fixed;
    top: 50%;
    left: 50%;
    z-index: 1;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    -webkit-transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
  }
}
